:root {

}

:root[color-mode="light"] {
  --rank-backer: rgba(230,230,230, 0.5);
  --all-time-back: rgba(230,230,230, 0.5);
  --all-time-border: 1px solid rgb(230,230,230);
  --container-shadow-grey: 0px 0px 2px 1px rgba(0, 0, 0, 0.5);
  --container-shadow-grey-thin: var(--std-shadow);
  --container-shadow-rank: 0px 0px 1px 1px rgba(61, 153, 112, 1);

  --liv-bubble: rgba(17,91,91, 1);
  --liv-bubble-border: 1px solid rgba(17,91,91, 0.3);
  --grad-year-background: rgba(255, 220, 0, 0.2);

  --container-color-base-1: rgba(240,240,240, 0.5);
  --container-color-base-2: rgba(240,240,240, 0.1);
}

:root[color-mode="dark"] {
  --rank-backer: rgba(80,80,80, 0.5);
  --all-time-back: rgba(61, 153, 112, 0.15);
  --all-time-border: 1px solid rgba(61, 153, 112, 0.2);
  --container-shadow-grey: 0px 0px 2px 1px rgba(0, 0, 0, 0.5);
  --container-shadow-grey-thin: var(--std-shadow);
  --container-shadow-rank: 0px 0px 1px 1px rgba(61, 153, 112, 1);

  --liv-bubble: rgba(203, 251, 126, 1);
  --liv-bubble-border: 1px solid rgba(203, 251, 126, 0.3);
  --grad-year-background: rgba(61, 153, 112, 0.2);

  --container-color-base-1: rgba(35,35,35, 0.5);
  --container-color-base-2: rgba(35,35,35, 0.1);
}

.popover-body {
  font-weight: normal;
  padding: 3px;
  font-size: 9.5px;
  color: var(--font-color-base);
}


.player-search-container {
  position: absolute;
  top: unset;
  bottom: 2px;
  height: 23px;
  width: 200px;
  background-color: var(--black-base);
  border: var(--container-border-base);
}

.glass-inner {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 23px;
  height: 100%;
  border-right: var(--container-border-base);
  background-color: var(--container-color-base);
  font-size: 10px;
  color: var(--font-color-faint);
}

.player-search {
  position: absolute;
  top: 0px;
  bottom: unset;
  left: 0x;
  height: calc(100% - 1px);
  width: calc(100% - 0px);
  border: none;
  background-color: var(--black-base);
  padding-left: 5px;
  font-size: 11px;
}

.datarow {
  height: 27.5px;
}

/* .datarow-0 { background-color: var(--container-color-base-1); } */
/* .datarow-1 { background-color: var(--container-color-base-2); } */

.header-logo-bg {
  opacity: 0.95;
  width: 27px;
  height: auto;
  position: relative;
  top: -2px;
}

.top-row {
  /* border-bottom: var(--container-border-base); */
  height: 41px;
}

.l-update {
  font-size: 8px;
}

.title-right {
  font: 10px var(--font);
  padding-left: 5px;
}

.title-sublink {
  position: absolute;
  top: 30px;
  left: 260px;
  font: 10px var(--font);
}

.text-row {
  border-top: var(--container-border-base);
  font: 13px var(--font);
  margin-left: -15px;
  margin-right: -15px;
  padding-top: 6px;
  margin-top: 5px;
  width: calc(100% + 30px);
  line-height: 1.4;

  color: rgb(140,140,140);
  line-height: 1.4;
  /* height: 28px; */
  padding-left: 7px;
  padding-right: 5px;
}

.fainter {
  position: relative;
  top: 3px;
  color: var(--font-color-faint);
  font: 12px var(--font);
}

.top-am-col-title {
  position: absolute;
  height: 14px;
  bottom: 0px;
  width: 100%;
  text-align: center;
  padding-left: 4px;
  font: 10px var(--font);
  /* font-weight: bold; */
  color: var(--font-color-base);
}

.rank-col-top-am {
  font: 12px var(--font);
  font-weight: bold;
  color: var(--font-color-base);
  /* background-color: rgba(230,230,230, 0.5); */
  text-align: center;
  /* background-color: rgba(61, 153, 112, 0.2); */
}

.all-time-rank-col {
  text-align: left;
  padding-left: 3px;
  background-color: var(--all-time-back);
  border-right: var(--all-time-border);
}

.alltime-top {
  position: relative;
  top: -4px;
  font-size: 6px;
}

.alltime-low {
  position: relative;
  top: -4px;
}

.last-event-col {
  /* padding-left: 5px; */
  font: 10px var(--font);
  /* font-weight: bold; */
  color: var(--font-color-faint-2);
  font-weight: bold;
  width: 100%;
  /* text-align: center; */
  padding-left: 3px;
  padding-top: 10px !important;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.date-href {
  /* border: 1px solid #007bff; */
  /* padding: 5px; */
}

.date-href:hover {
  /* font-weight: bold; */
}

.title-bold {
  font-weight: bold;
}

.title-thin {
  font-size: 12px;
  color: var(--olive);
}

.header-logo {
  width: 23px;
  top: -2px;
}

.date-selection-title {
  position: absolute;
  top: 5px;
  left: 2px;
  font: 9px var(--font);
  font-weight: bold;
  color: var(--font-color-faint-2);
}

.top-row {
  height: 40px;
  overflow-y: visible;
}

.explainer {
  position: relative;
  margin-top: 0px;
  margin-left: -15px !important;
  width: calc(100% + 30px);
  padding: 2.5px;
  /* display: none; */
  font: 11px var(--font);
  color: var(--font-color-faint-2);
  /* font-weight: bold; */
  /* line-height: 1.4; */
  /* height: 28px; */
  /* padding-left: 5px;
  padding-right: 5px; */
}

.enhanced-div {
  margin-bottom: 2.5px;
}

.enhanced {
  color: var(--font-color-base);
  font-weight: bold;
  font-style: italic;
}

.more-info {
  color: var(--blue);
  text-decoration: underline;
  opacity: 0.85;
  cursor: pointer;
}

.drop-row {
  position: relative;
  margin-top: 2.5px;
  margin-left: -15px !important;
  width: calc(100% + 30px);
  padding-top: 17px;
  height: 35px;
  border-top: var(--container-border-base);
}

.selected-date { pointer-events: none; }

.the-selected-date {
  position: absolute;
  top: 19px;
  height: 22px;
  padding-left: 22px;
  padding-right: 0px;
  width: 170px;
  background-color: var(--black-base);
  display: flex;
  justify-content: center;
  align-items: center;
  left: 2px;
  font: 12px var(--font);
  color: var(--font-color-base);
  font-weight: bold;
  -webkit-box-shadow: var(--container-shadow-rank);
  -moz-box-shadow: var(--container-shadow-rank);
  box-shadow: var(--container-shadow-rank);
  cursor: pointer;
}

.calendar-container {
  position: absolute;
  left: 0px;
  width: 22px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 12px;
  pointer-events: none;
  border-right: var(--container-border-base);
}

.the-selected-date:hover {
  background-color: var(--container-color-base);
  -webkit-transition: all 200ms ease-out;
  -moz-transition: all 200s ease-out;
  -o-transition: all 200s ease-out;
  transition: all 200ms ease-out;
}

.date-menu {
  position: absolute;
  top: calc(100% + 5px);
  -webkit-box-shadow: var(--container-shadow-grey);
  -moz-box-shadow: var(--container-shadow-grey);
  box-shadow: var(--container-shadow-grey);
  width: 170px;
  left: 0px;
  z-index: 7;
  max-height: 300px;
  background-color: var(--black-base);
  overflow: -moz-scrollbars-none;
  overflow-y: scroll;
  -ms-overflow-style: none;  /* Internet Explorer 10+ */
  scrollbar-width: none;  /* Firefox */
  display: none;
}

.date-menu::-webkit-scrollbar {
    display: none;  /* Safari and Chrome */
}

.date-option {
  position: relative;
  background-color: var(--black-base);
  display: flex;
  justify-content: center;
  align-items: center;
  font: 10px var(--font);
  color: var(--font-color-faint);
  font-weight: bold;
  padding: 3.5px;
  border-bottom: var(--datarow-border);
}

.date-option:hover {
  background-color: var(--olive-light);
  color: var(--font-color-base);
  -webkit-transition: all 200ms ease-out;
  -moz-transition: all 200s ease-out;
  -o-transition: all 200s ease-out;
  transition: all 200ms ease-out;
}

.date-option-selected {
  background-color: var(--black-base) !important;
  color: var(--font-color-base) !important;
}

.date-check-icon {
  margin-left: 3px;
  color: var(--olive);
}

.date-year-header {
  position: -webkit-sticky; /* Safari */
  position: sticky;
  top: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
  font: 9px var(--font);
  color: var(--font-color-faint);
  color: var(--blue);
  font-weight: bold;
  background-color: var(--container-color-base);
  padding: 2px;
  border-bottom: var(--datarow-border);
  z-index: 11;
  cursor: default;
}

.player-filter {
  height: 50px !important;
}

.main-filter-block {
  display: none;
}


.table-top-div {
  margin-top: 0px;
  height: 30px;
  z-index:6;
  border-top: var(--container-border-base);
}

.sim-curtain {
  position: absolute;
  top: 25px;
  height: calc(100% - 25px);
  width: 100%;
  background-color: var(--load-curtain);
  /* border-top: 1px solid rgb(200,200,200); */
  z-index: 4;
  display: none;
}

.loading-gif {
  position: absolute;
  width: 60px;
  height: auto;
  top: calc(50px);
  left: calc(50% - 30px);
}


.table-topper {
  position: absolute;
  font: 8px var(--font);
  color: var(--font-color-base);
  display: flex;
  font-weight: bold;
  justify-content: center;
  align-items: center;
  height: 15px;
  right: 0px;
  bottom: 0px;
  background-color: var(--container-color-base);
  border: var(--container-border-base);
}

.dg-topper {
  /* border: none; */
  border-color: var(--olive-light);
  /* font-size: 8.5px; */
  /* height: auto; */
  /* padding-bottom: 2.5px; */
  /* border-bottom: 1px solid var(--font-color-base); */
  background-color: var(--olive-lighter);
  color: var(--font-color-base);
  /* background-color: black; */
}

.owgr-col-title { font-size: 11px; height: 17px; }
.owgr-status-logo { height: 13.5px; width: auto; opacity: 0.9; }

.dg-col-title-sub {
  position: absolute;
  height: 3px;
  bottom: 10px;
  width: 100%;
  text-align: center;
  font: 9px var(--font);
  font-style: italic;
  color: var(--font-color-base);
}

.dg-tick {
  color: rgba(61, 153, 112, 0.95);
  position: relative;
  font-size: 10px !important;
  top: 0px;
}

.no-auth-notice {
  position: relative;
  margin-top: 20px;
  top: 0px;
  border: none;
}

.no-auth-middle {
  border: none;
  padding: 10px;
  color: var(--font-color-faint);
  font-weight: bold;
  -webkit-box-shadow: var(--container-shadow-grey);
  -moz-box-shadow: var(--container-shadow-grey);
  box-shadow: var(--container-shadow-grey);
}

.head {
  top: 30px;
}

.expanded-row {
  background-color: rgba(0,0,0,0.07) !important;
  width: 100%;
  height: var(--expanded-height);
}

.no-access {
  height: auto;
  padding-top: 10px;
  padding-bottom: 10px;
  text-align: center;
  padding-left: 20px;
  padding-right: 20px;
  font: 12px var(--font);
  font-weight: bold;
  border-top: 2px solid #0074D9;
  color: var(--font-color-base);
  background-color: rgba(0, 116, 217, 0.2);
  cursor: default;
}

.no-access-subtext {
  font: 11px var(--font);
  margin-top: 5px;
  font-style: italic;
  color: var(--font-color-faint);
}

.no-access:hover {
  background-color: rgba(0, 116, 217, 0.2) !important;
}

.inner-row-div {
  position: absolute;
  top: var(--datarow-height);
  left: 0px;
  height: calc(100% - var(--datarow-height));
  width: 100%;
  cursor: default;
  background-color: white;
  border-top: 1px solid rgb(230,230,230);
  border-bottom: 1px solid var(--font-color-faint-2);
}

.grey1 {
  background-color: rgba(0,0,0,0.03);
}

.grey2 {
  background-color: rgba(0,0,0,0.06);
}

.hidden-row {
  display: none;
}

.index-div {
  height: 100%;
  width: 60px;
  left: calc(50% - 30px);
  /* background-color: red; */
  margin: auto;
}

#index-circle {
  position: absolute;
  width: 20px;
  height: 20px;
  left: calc(50% - 8px);
  top: 7px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  border-radius: 10px;
  /* border: 0.5px solid rgb(170,170,170); */
  /* background: linear-gradient(180deg, white 50%, rgba(61, 153, 112, 0.8) 0%); */
}

.basic-num-col {
  font: 12px var(--font);
  color: var(--font-color-base);
  text-align: center;
}

.school-col {
  padding-left: 5px;
  font: 10px var(--font);
  font-weight: bold;
  color: var(--font-color-faint-2);
  width: 100%;
  padding-top: 10px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.tour-col {
  padding-left: 5px;
  font: 10px var(--font);
  font-weight: bold;
  color: var(--font-color-faint-2);
  width: 100%;
  padding-top: 10px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: center;
}

/* .rank-col {
  font: 11px var(--font);
  font-weight: bold;
  background-color: var(--rank-backer);
  color: var(--font-color-base);
  text-align: center;
} */

/* .dg-rank-col {
  background-color: var(--olive-superlight);
} */

.grey-out {
  font-weight: normal;
  position: relative;
  top: 2px;
  font-size: 10px;
  color: var(--disabled-col);
}

.data.change-col {
  font: 10px var(--font);
  font-weight: normal;
  color: var(--font-color-base);
  text-align: center;
}

.change-up {
  color: var(--olive);
  margin-right: 2px;
  opacity: 1;
}

.change-down {
  color: var(--red);
  margin-right: 2px;
  opacity: 1;
}

.change-void {
  position: relative;
  color: var(--disabled-col);
  font-size: 8px !important;
  top: 2px;
}

.null-odds {
  position: relative;
  color: rgb(200,200,200);
  font-size: 7px;
  top: 3px;
}

.ev-col {
  text-align: center;
}

.null-ev {
  padding-left: 5px;
  font: 10px var(--font);
  font-weight: bold;
  color: var(--disabled-col);
  width: 100%;
  padding-top: 10px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.name-span {
  width: 100%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.qual-pop-top {
  font-weight: bold;
  margin-bottom: 3px;
}

.qual-row {
  font-style: italic;
  color: var(--font-color-faint);
  margin-bottom: 1px;
}

.ev-text {
  position: absolute;
  top: 0px;
  color: var(--font-color-base);
  font: 10px var(--font);
}

.ev-text-pos {
  margin-right: 4px;
}

.ev-text-neg {
  margin-left: 4px;
}

.skill-container {
  position: absolute;
  top: 0px;
  height: 100%;
  width: 100%;
  font: 10px var(--font);
  color: var(--font-color-base);
  text-align: center;
  padding-top: 7px;
}

/* outright evolution plots */
:root {
  --outright-tmargin: 35px;
  --info-width: 150px;
  --y-axis-width: 30px;
  --y-axis-width-sm: 20px;
  --outright-rmargin: 10px;
  --outright-rmargin-sm: 5px;
  --outright-bmargin: 23px;
}

.plot-top {
  position: absolute;
  top: 0px;
  left: 0px;
  height: var(--outright-tmargin);
  width: 100%;
  /* background-color: rgba(0,0,0,0.1); */
}

.bet-summary {
  position: absolute;
  padding-left: 5px;
  padding-top: 8px;
  width: 30%;
  height: 100%;
  top: 0px;
  font: 11px var(--font);
  color: var(--font-color-base);
  font-style: italic;
  font-weight: bold;
}

.the-legend {
  position: absolute;
  width: 50%;
  left: 50%;
  height: 100%;
  padding-top: 8px;
}

.leg-item {
  text-align: right;
  font: 10px var(--font);
  cursor: pointer;
  padding-left: 5px;
  padding-right: 5px;
}

.background-opacity {
  opacity: 0.15;
}

.outright-y-axis-div {
  position: absolute;
  top: var(--outright-tmargin);
  left: 0;
  width: var(--y-axis-width);
  height: calc(var(--expanded-height) - var(--datarow-height) - var(--outright-tmargin) - var(--outright-bmargin));
}

.outright-y-text {
  position: absolute;
  right: 3px;
  font: 9px var(--font);
  text-align: right;
  color: var(--font-color-faint);
}

.outright-span-text {
  position: relative;
  top: -5px;
}

.outright-main-plot {
  position: absolute;
  top: var(--outright-tmargin);
  left: calc(var(--y-axis-width));
  width: calc(100% - var(--y-axis-width) - var(--outright-rmargin));
  height: calc(var(--expanded-height) - var(--datarow-height) - var(--outright-tmargin) - var(--outright-bmargin));
  cursor: crosshair;
}

.outright-round-plot {
  position: absolute;
  top: 0px;
  height: 100%;
  width: calc(100%);
  border-bottom: 1px solid var(--font-color-base);
  overflow-y: visible;
}

.r1-outright {
  left: 0px;
}

.round-label {
  position: absolute;
  width: 100px;
  font: 8px var(--font);
  top: calc(100% + 5px);
  left: calc(50% - 50px);
  /* font-weight: bold; */
  color: var(--font-color-base);
  text-align: center;
}

.outright-gridlines {
  stroke: var(--gridline-col);
  stroke-width: 1;
  width: 100%;
  pointer-events: none;
}

.gridline-none {
  display: none;
}

.outright-svg {
  height: 100%;
  width: 100%;
}

.win-prob-line {
  fill: none;
  stroke-width: 2;
}

.dg-line {
  stroke: rgb(40,40,40);
}

.dg-item {
  color: rgb(40,40,40);
  fill: rgb(40,40,40);
}

.b3-line {
  stroke: #3D9970;
}

.b3-item {
  color: #3D9970;
  fill: #3D9970;
}

.dk-line {
  stroke: #FF851B;
}

.dk-item {
  color: #FF851B;
  fill: #FF851B;
}

.wh-line {
  stroke: #0074D9;
}

.wh-item {
  color: #0074D9;
  fill: #0074D9;
}

.leg-circle {
  font-size: 8px !important;
}

.prob-circle {
  r: 2.5;
}

.highlight-circle {
  r: 3;
}

.top-level-rects {
  position: absolute;
  background-color: transparent;
  opacity: 0;
  top: 0px;
  height: 100%;
}

.top-level-rects:hover {
  /* background-color: var(--void-col); */
  opacity: 1;
}

.hover-line {
  position: absolute;
  width: 1px;
  left: calc(50% - 0.5px);
  top: 0px;
  height: 100%;
  background-color: var(--font-color-base);
}

.x-axis-text {
  position: absolute;
  height: 20px;
  top: calc(100% + 5px);
  font: 9px var(--font);
  color: var(--font-color-faint);
  width: 50px;
  text-align: center;
}

.pop-book-odds {
  position: relative;
  padding-top: 2px;
  padding-left: 3px;
  font: 8px var(--font);
  color: var(--font-color-faint);
  padding-bottom: 1px;
  padding-right: 2px;
}

.dg-book {
  font-weight: bold;
  color: var(--font-color-base);
  border-bottom: 1px solid rgb(200,200,200);
}

/* EVOLUTION PLOTS */

:root {
  --tmarg: 35px;
  --lmarg: 20px;
  --bmarg: 30px;
  --rmarg: 3px;
}

.evolution-div {
  position: absolute;
  height: calc(var(--expanded-height) - 30px);
  background-color: white;
  width: 100%;
  top: 27px;
}

.shadow-bottom {
  position: absolute;
  height:27px;
  top: 0px;
  pointer-events: none;
  z-index: 2;
  /* left: 2px; */
  /* width:calc(100% - 4px); */
  width: 100%;
  -webkit-box-shadow: 0 5px 3px -2px rgb(170,170,170);  /* Safari 3-4, iOS 4.0.2 - 4.2, Android 2.3+ */
  -moz-box-shadow:    0 5px 3px -2px rgb(170,170,170);  /* Firefox 3.5 - 3.6 */
  box-shadow: 0 5px 3px -2px rgb(170,170,170);
}

.top-axis {
  position: absolute;
  height: var(--tmarg);
  top: 0px;
  left: 0px;
  width: 100%;
}

.bottom-axis {
  position: absolute;
  height: var(--bmarg);
  bottom: 0px;
  left: 0px;
  width: 100%;
}

.left-axis {
  position: absolute;
  top: var(--tmarg);
  height: calc(100% - var(--tmarg) - var(--bmarg));
  left: 0px;
  width: var(--lmarg);
}

.right-axis {
  position: absolute;
  top: var(--tmarg);
  height: calc(100% - var(--tmarg) - var(--bmarg));
  right: 0px;
  width: var(--rmarg);
}

.the-plot {
  position: absolute;
  left: var(--lmarg);
  top: var(--tmarg);
  height: calc(100% - var(--tmarg) - var(--bmarg));
  width: calc(100% - var(--lmarg) - var(--rmarg));
  cursor: crosshair;
}

.evolution-title {
  position: absolute;
  font: 10px var(--font);
  top: 12px;
  left: 3px;
  color: var(--font-color-base);
  font-weight: bold;
  text-decoration: underline;
}

.evo-legend {
  position: absolute;
  top: 15px;
  height: 20px;
  /* background-color: red; */
  font: 9px var(--font);
  font-weight: bold;
}

.dg-leg {
  right: 90px;
  width: 62px;
}

.owgr-leg {
  right: 5px;
  width: 62px;
}

.rect-leg {
  position: absolute;
  right: 0px;
  width: 30px;
  top: 0px;
  height: 10px;
}

.rect-dg {
  background-color: rgba(61, 153, 112, 0.2);
  border-top: 1px solid rgba(61, 153, 112, 0.9);
}

.rect-owgr {
  background-color: rgba(50,50,50, 0.2);
  border-top: 1px solid rgba(50,50,50, 0.9);
}

.y-tick {
  position: absolute;
  right: 3px;
  font: 9px var(--font);
  color: rgb(100,100,100);
}

.x-axis {
  position: absolute;
  width: 50px;
  bottom: -15px;
  text-align: center;
  font: 9px var(--font);
  color: var(--font-color-base);
  /* white-space:nowrap; */
}

.gridline {
  /* position: absolute; */
  /* left: 0px; */
  /* width: 100%; */
  stroke: rgb(230,230,230);
  stroke-width: 1;
  /* height: 0px; */
}

.gridline-last {
  stroke: rgb(80,80,80);
  stroke-width: 2.5;
}

.the-svg {
  /* z-index: 1; */
}

.evolution-line {
  stroke-width: 1.5;
  fill: none;
}

.dg-line {
  stroke: #3D9970;
  opacity: 0.9;
}

.dg-high {
  fill: #3D9970;
  opacity: 0.2;
}

.owgr-line {
  stroke: rgb(50,50,50);
  opacity: 0.9;
}

.owgr-high {
  fill: rgb(50,50,50);
  opacity: 0.2;
}

.back-bar {
  position: absolute;
  top: 0px;
  height: 100%;
  opacity: 0;
  /* background-color: rgba(4,4,4,0.3) */
}

.back-bar-line {
  position: absolute;
  left: calc(50% - 0.5px);
  width: 1px;
  top: 0px;
  height: 100%;
  background-color: rgb(200,200,200);
}

.back-bar:hover {
  opacity: 1;
}

.pop-top {
  font: 9px var(--font);
  position: absolute;
  height: 13px;
  background-color: rgba(61, 153, 112, 0.8);
  color: rgb(250,250,250);
  text-align: center;
  padding-top: 2px;
  width: calc(100%);
  margin-top: -6px;
  margin-left: -8px;
}

.rank-pop-row {
  margin-top: 10px;
  font: 9px var(--font);
  font-weight: bold;
  margin-bottom: -3px;
}

.pop-rank {
  font-size: 11px;
}

.dot {
  position: absolute;
  height: 6px;
  width: 6px;
  left: calc(50% - 3px);
  border-radius: 50%;
}

.dg-dot {
  background-color: rgba(61, 153, 112, 1);
}

.owgr-dot {
  background-color: rgba(40,40,40);
}

.shaded-region {
  position: absolute;
  left: 0px;
  width: 100%;
  background-color: rgba(230,230,230,0.9);
  border-top: 1px solid #0074D9;
  pointer-events: none;
  font: 10px var(--font);
  font-weight: bold;
  text-align: center;
}

.shaded-text {
  width: 100%;
  margin-top: 7px;
}

.table-download-options {
  width: 84px;
  right: 0px;
  height: 18px;
  font-size: 9px;
  top: 3px;
}

.ev-text {
  color: var(--font-color-faint);
  font-size: 9px;
  /* opacity: 0.75; */
  font-weight: bold;
  top: 0px;
}

.ev-text-pos {
  margin-right: 4px;
}

.pos-ev-bar, .neg-ev-bar {
  opacity: 0.65;
}

.neg-bar-dist, .neg-bar-acc {
  background-color: var(--font-color-faint-2);
}

.pos-bar-dist, .pos-bar-acc {
  background-color: var(--blue);
}

.datahead {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px;
  font: 9.5px var(--font);
  color: var(--font-color-faint-2);
  font-weight: normal;
  height: 100%;
}

.datahead.header-player {
  justify-content: left;
  padding-left: 2.5px;
}

.no-pointer {
  cursor: default;
}

.up-sorty, .down-sorty { display: none; margin-left: 2.5px; }
.datahead > .fa-info-circle { margin-left: 2.5px; }
.sorted {
  color: var(--font-color-base);
  text-decoration: none; border: none;
}

.datahead.event-bubble-col {
  cursor: default;
}

.fa-triangle {
  position: relative;
  font-size: 7px;
  top: 1px;
}

.dasher {
  color: var(--font-color-faint-2);
}

.trend-col {
  position: absolute;
  padding: 0px;
}

.event-bubble-col {
  padding: 0px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.event-bubble {
  border-radius: 50%;
  background-color: var(--container-color-base);
  margin-left: 0.5px;
  margin-right: 0.5px;
  cursor: pointer;
}

.event-bubble:hover {
  -webkit-box-shadow: var(--container-shadow-grey-thin);
  -moz-box-shadow: var(--container-shadow-grey-thin);
  box-shadow: var(--container-shadow-grey-thin);
}

.bubble-circle {
  font-size: 4px;
  margin-right: 2px;
}

#maj.event-bubble { background-color: rgba(255,215,0, 1); border: 0.5px solid var(--black-base); opacity: 0.9; }
.circle-maj { color: rgba(255,215,0, 1); }

#pga.event-bubble { background-color: var(--red); border: 0.5px solid var(--black-base); opacity: 0.75; }
.circle-pga { color: var(--red); }

#kft.event-bubble { background-color: var(--olive); border: 0.5px solid var(--black-base); opacity: 0.75; }
.circle-kft { color: var(--olive); }

#euro.event-bubble { background-color: var(--blue); border: 0.5px solid var(--black-base); opacity: 0.75; }
.circle-euro { color: var(--blue); }

#liv.event-bubble { background-color: var(--liv-bubble); border: 0.5px solid var(--black-base); opacity: 0.75; }
.circle-liv { color: var(--liv-bubble); }

#other.event-bubble { background-color: var(--font-color-faint-2); border: 0.5px solid var(--black-base); opacity: 1; }
.circle-other { color: var(--font-color-faint-2); }

#am.event-bubble { background-color: var(--orange); border: 0.5px solid var(--black-base); opacity: 0.75; }
.circle-am { color: var(--orange); }

#champ.event-bubble { background-color: var(--purple); border: 0.5px solid var(--black-base); opacity: 0.75; }
.circle-champ { color: var(--purple); }

#cha.event-bubble { background-color: rgba(46, 204, 64, 1); border: 0.5px solid var(--black-base); opacity: 0.75; }
.circle-cha { color: rgba(46, 204, 64, 1); }

.datarow {
  overflow: visible;
}

.the-trend-container {
  position: absolute;
  background-color: var(--black-base);
  border: var(--container-border-base);
  border-width: 0.5px;
  top: 1.5px;
  left: 4px;
  height: calc(100% - 3px);
  width: calc(100% - 8px);
  /* z-index: 10; */
}

.trending {
  background-color: var(--black-base);
}

.trend-hover, .event-hover {
  position: absolute;
  bottom: calc(100% + 5px);
  width: 100%;
  /* height: 20px; */
  background-color: var(--black-base);
  z-index: 10;
  display: none;
  -webkit-box-shadow: var(--container-shadow-grey-thin);
  -moz-box-shadow: var(--container-shadow-grey-thin);
  box-shadow: var(--container-shadow-grey-thin);
}

.trend-desc {
  position: relative;
  display: flex;
  justify-content: left;
  align-items: center;
  padding: 1px;
  padding-left: 2px;
  padding-bottom: 0px;
  color: var(--font-color-base);
  font: 7px var(--font); font-weight: bold;
}

.trend-val {
  position: relative;
  display: flex;
  justify-content: left;
  align-items: center;
  padding: 2px;
  padding-top: 1px;
  padding-bottom: 1px;
  color: var(--font-color-faint-2);
  font: 7px var(--font); font-weight: bold;
}

.tour-val { font-size: 8px; }

.the-val {
  position: relative;
  top: -1.5px;
  margin-left: 2px;
  font-size: 9px;
  color: var(--font-color-base);
  padding: 1px;
  padding-left: 2px; padding-right: 2px;
  border-radius: 1px;
}

.the-svg {

}

.zero-line-trend {
  stroke: var(--font-color-faint-2);
  stroke: var(--olive);
  stroke-dasharray: 1,1;
  stroke-width: 1;
  stroke-opacity: 0.75;
}

.rank-lines {
  stroke: var(--font-color-faint-2);
  stroke: var(--blue);
  stroke-opacity: 0;
  stroke-width: 1;
}

.rank-path {
  fill: none;
  stroke: var(--font-color-base);
  stroke-width: 1.5;
  stroke-opacity: 0.2;
}

.rank-dots {
  fill: var(--font-color-base);
  opacity: 0;
}

.rank-rects {
  opacity: 0;
}

.dg-status-logo {
  position: relative;
  height: 15px;
  width: auto;
  top: 0px;
}

.owgr-status-logo {
  position: relative;
  height: 11px;
  width: auto;
  top: 0px;
}

.data {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px;
  font: 10px var(--font);
  color: var(--font-color-base);
  font-weight: bold;
  height: 100%;
  /* border-right: var(--datarow-border); */
}

.data.points-col { border-right: none; }

.datarow-cumulative > .rank-col { color: var(--blue); }
.datarow-top-seasons > .rank-col { color: var(--olive); }

.player-col, .at-rank-col { justify-content: left; padding-left: 2.5px; }

.player-col > .add-ellipsis >  a {
  color: inherit;
}

.add-ellipsis {
  margin: 0 0px;
  min-width: 0;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.data.cust-col {
  border-right: 1px solid var(--blue-light);
}

.name-col > .add-ellipsis > img {
  height: 13.5px;
  width: auto;
  margin-top: -2px;
  /* margin-right: 2.5px; */
}


.name-col > .add-ellipsis >  a {
  color: inherit;
}

.data.name-col {
  font: 10.5px var(--font);
  color: var(--font-color-base);
  font-weight: bold;
  padding-left: 0px;
  display: flex;
  height: 100%;
  justify-content: left;
  align-items: center;
  padding-left: 2.5px;
}

.rank-col {
  /* border-left: var(--datarow-border); */
}

.ev-col {
  border-right: none;
}

.flag-bg {
  top: 7.5px;
  /* top: unset; */
  left: 1.5px;
  height: 13;
  width: 14;
  opacity: 1;
}

.name-first {
  font-size: 9px;
}

.at-rank-col { width: 40px; left: 0px; justify-content: left;}
.player-col, .name-col { width: calc(27.5% - 50px); left: 40px; }
.tour-col { left: 27.5%; width: 15%; }
.date-col { left: 42.5%; width: 90px; justify-content: left; padding-left: 2.5px; }
.last-e-col { left: calc(42.5% + 90px); width: calc(32.5% - 90px); justify-content: left; padding-left: 2.5px; }
.dg-rank-col { left: 75%; width: 10%; }
.dg-index-col { left: 85%; width: 15%; }

.table-topper { right: 0%; width: 57.5%; }

.points-topper {
  width: 24%;
  right: 0px;
}

.tour-col {
  font-weight: normal;
}

.last-e-col {
  /* color: var(--font-color-faint-2); */
  font-weight: normal;
}

.date-col {
  font-weight: normal;
}

.data.dg-rank-col, .data.dg-change-col, .data.ev-col {
  /* background-color: var(--grad-year-background); */
}

.dg-topper > .fa-chevron-left {
  position: relative;
  color: var(--olive);
  font-size: 8px;
  margin-right: 1.5px;
}

.dg-topper > .fa-chevron-right {
  position: relative;
  color: var(--olive);
  font-size: 7.5px;
  margin-left: 2px;
}

.dg-top-div-dg { left: 51.5%; width: 15.5%; }
.dg-top-div-owgr { left: 67.5%; width: 15.5%; }

.all-time-link {
  position: absolute;
  top: 0px;
  right: 0px;
  padding: 3px;
  padding-top: 5px;
  font: 9px var(--font);
  font-weight: bold;
}

.datarow:hover { background-color: var(--grad-year-background) !important; }

.rank-outer {
  position: relative;
  text-align: center;
  min-width: 30px;
  padding-top: 3px;
  padding-bottom: 3px;
  padding-left: 5px;
  padding-right: 5px;
  border-radius: 1px;
  font-size: 9px;
  -webkit-box-shadow: var(--std-shadow);
  -moz-box-shadow: var(--std-shadow);
  box-shadow: var(--std-shadow);
  /* pointer-events: none; */
}

.stand-rank {
  position: relative;
  float: right;
  text-align: center;
  min-width: 25px;
  padding-top: 3px;
  margin-top: -15px;
  padding-bottom: 3px;
  padding-left: 3px;
  padding-right: 3px;
  border-radius: 1px;
  font-size: 8px;
  margin-right: 3px;
  color: var(--font-color-base);
  -webkit-box-shadow: var(--container-shadow-rank);
  -moz-box-shadow: var(--container-shadow-rank);
  box-shadow: var(--container-shadow-rank);
  cursor: pointer;
  opacity: 1;
}

.stand-rank:hover { opacity: 1; }

.stand-rank-splitter {
  position: relative;
  float: right;
  text-align: center;
  width: 1.5px;
  height: 20px;
  font-size: 8px;
  margin-top: -16.5px;
  margin-right: 3px;
  border-right: var(--datarow-border);
  color: var(--font-color-base);
  pointer-events: none;
}

.pga-30 { background-color: rgba(31, 202, 35, 0.4); } .pga-30-circle { color: rgba(31, 202, 35, 0.6); }
.pga-50 { background-color: rgba(255, 133, 27, 0.4); } .pga-50-circle { color: rgba(255, 133, 27, 0.6); }
.pga-70 { background-color: rgba(177, 13, 201, 0.4); } .pga-70-circle { color: rgba(177, 13, 201, 0.6); }
.pga-125 { background-color: rgba(150,150,150, 0.6); } .pga-125-circle { color: rgba(150,150,150, 0.6); }


.kft-final, .can-5 { background-color: var(--red-light); } .kft-final-circle, .can-5-circle { color: var(--red); opacity: 0.75; }
:root[color-mode="light"] .kft-25 { background-color: rgb(50,50,50); color: rgb(240,240,240); } :root[color-mode="light"] .kft-25-circle { color: rgb(50,50,50); }
:root[color-mode="dark"] .kft-25 { background-color: rgb(230,230,230); color: rgb(40,40,40); } :root[color-mode="dark"] .kft-25-circle { color: rgb(230,230,230); }
/* .kft-25 { background-color: rgb(40,40,40); color: rgb(240,240,240); } */

.eur-125 { background-color: rgba(231, 43, 101, 0.4); } .eur-125-circle { color: rgba(231, 43, 101, 0.6); }
.cha-20 { background-color: rgba(0, 149, 181, 0.4); } .cha-20-circle { color: rgba(0, 149, 181, 0.6); }


.dg-100 { background-color: var(--olive-lighter); }
.dg-30 { background-color: var(--olive-light); }
.dg-10 { background-color: var(--olive); }
.dg-1 { background-color: var(--yellow); color: black; }

.dgp-100 { background-color: rgba(133, 20, 75, 0.3); }
.dgp-30 { background-color: rgba(133, 20, 75, 0.5); }
.dgp-10 { background-color: rgba(133, 20, 75, 1); color: white; }
.dgp-1 { background-color: gold; color: black; }

.owgr-100 { background-color: var(--container-color-base); }
/* .owgr-30 { background-color: var(--olive-light); } */
.owgr-10 { background-color: rgb(180,180,180); color: black; }
.owgr-1 { background-color: rgba(255, 133, 27, 0.75); color: black; }

.unranked { background-color: var(--container-color-base); opacity: 0.25; }

.rank-outer.not-ranked {
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  opacity: 0.25;
}

.ev-axis {
  border: none;
  width: 1.5px;
  border-radius: 2px;
  background-color: var(--olive);
}

.pos-ev-bar, .neg-ev-bar {
  background-color: var(--font-color-base);
  opacity: 0.7;
  /* filter: url(#glow); */
}

.pos-ev-bar-back {
  background-color: var(--olive);
  /* filter: url(#glow); */
}

.neg-ev-bar-back {
  background-color: var(--red);
  filter: url(#glow);
}

.ev-text {
  color: var(--font-color-base);
  font-size: 9px;
}

.ev-bar-container {
  top: 1px;
  height: 42.5%;
}

.player-col {  }

.small--only { display: none; }
.name-small-small { font-weight: normal; }

.achieve-square {
  position: relative;
  float: left;
  margin: 1px;
  margin-right: 2px;
  top: 0.5px;
  height: 9px;
  width: 9px;
  border-radius: 0.5px;
}

.tour-col > .achieve-square { margin-right: 0px !important; }

.achieve-square-tour, .achieve-img-outer {
  border-radius: 50%;
}

.sub-title-links {
  position: relative;
  font: 10px var(--font);
  color: var(--font-color-faint-2);
}

/* [23, 13, 15, 0.5, 9, 6.5, 0.5, 9, 6.5, 17]; */
/* add classes when under md */
@media (max-width: 768px) {

  .small--only { display: inline-block; text-decoration: inherit; }
  .big--only { display: none; }

  .header-logo-bg {
    left: 2px;
    top: -1px;
    width: 21px;
  }

  .h-title-bg {
    margin-left: 2px;
    top: -1px;
    font-size: 13px;
  }

  .last-update-iso {
    position: relative;
    font-size: 10px;
    top: 1px;
  }

  .l-update {
    font-size: 7px;
    padding-top: 4px;
  }

  .night-option {
    font-size: 8px;
    top: 18px;
    padding-left: 3px;
    padding-top: 2px;
    padding-right: 2px;
    padding-bottom: 1px;
  }

  .top-row {
    height: 32px;
    overflow-y: visible;
  }

  .explainer {
    padding: 2px;
    font-size: 9.5px;
    /* line-height: 1.3; */
  }

  .drop-row {
    margin-top: 0px;
    padding-top: 17px;
    height: 37px;
    border-top: var(--container-border-base);
  }

  .date-selection-title {
    top: 4px;
    left: 1px;
    font-size: 7px;
    color: var(--font-color-faint);
  }

  .the-selected-date {
    top: 15px;
    height: 19px;
    padding-left: 19px;
    width: 140px;
    left: 1px;
    font-size: 10px;
  }

  .calendar-container {
    width: 19px;
    font-size: 10px;
  }

  .date-menu {
    top: calc(100% + 4px);
    width: 140px;
    left: 0px;
    z-index: 7;
    max-height: 200px;
  }

  .date-option {
    font-size: 9px;
    padding: 3px;
  }

  .date-year-header {
    font-size: 8px;
    padding: 1.5px;
  }

  .player-search-container {
    top: unset;
    bottom: 1px;
    height: 21px;
    width: 150px;
    min-width: 22%;
  }

  .glass-inner {
    width: 18px;
    font-size: 8px;
  }

  .player-search {
    left: 0px;
    height: calc(100% - 1px);
    width: calc(100% - 0px);
    padding-left: 3px;
    padding-top: 2px;
    font-size: 10px;
  }

  .table-top-div {
    margin-top: 0px;
    height: 27.5px;
    z-index:6;
  }

  .table-download-options {
    width: 72px;
    height: 16px;
    font-size: 8px;
    top: 1px;
  }

  .dg-col-title {
    font-size: 9px;
    height: 13px;
  }

  .dg-tick {
    font-size: 8px !important;
  }

  .head {
    height: 20px;
    top: 27.5px;
  }

  .datahead {
    font-size: 9px;
  }

  .fa-triangle {
    font-size: 6.5px;
  }

  .table-topper {
    font-size: 7px;
    height: 12.5px;
  }

  .at-rank-col { width: 25px; left: 0px; justify-content: left; padding-left: 1px; }
  .player-col, .name-col { width: calc(30% - 25px); left: 25px; }
  .tour-col { left: 30%; width: 12.5%; }
  .date-col { left: 42.5%; width: 17.5%; justify-content: center; padding-left: 0px; }
  .last-e-col { width: 0px; overflow: hidden; }
  .dg-rank-col { left: 60%; width: 17.5%; }
  .dg-index-col { left: 77.5%; width: 22.5%; }

  .table-topper { right: 0%; width: 57.5%; }

  .dg-topper { left: 40%; width: 40%; }
  .points-topper { left: 80%; width: 20%; }

  .dg-topper > .fa-chevron-left {
    font-size: 6.5px;
    margin-right: 1.5px;
  }

  .dg-topper > .fa-chevron-right {
    font-size: 6.5px;
    margin-left: 1.5px;
  }

  .event-bubble {
    margin-left: 0.5px;
    margin-right: 0.5px;
  }

  .datahead > .fa-info-circle {
    display: none !important;
  }

  .data.at-rank-col {
    font-size: 9px;
  }

  .data.tour-col, .data.date-col {
    font-size: 9px;
  }

  .achieve-square {
    top: 0px;
    height: 8px;
    width: 8px;
  }


  .skill-small {
    font: 9px var(--font);
    padding-top: 9px;
    top: 0px;
    height: calc(100%);
    font-weight: bold;
    color: var(--font-color-faint);
  }

  .change-col {
    font-size: 8px;
  }

  .no-auth-middle {
    font-size: 10px;
  }

  .all-time-link {
    padding: 2px;
    padding-top: 4px;
    font-size: 7px;
  }

  .event-hover {
    width: 200%;
  }

  .owgr-status-logo { height: 10.5px; width: auto; }

  .rank-outer {
    min-width: 25px;
    padding-top: 3px;
    padding-bottom: 3px;
    padding-left: 3.5px;
    padding-right: 3.5px;
    border-radius: 0.5px;
    font-size: 8px;
  }

  .datahead.header-player { padding-left: 1.5px; }

  .player-col { padding-left: 1.5px; }

  .name-col > .add-ellipsis > img {
    height: 12px;
    margin-top: -2px;
  }

  .data.name-col {
    font-size: 9.5px;
    padding-left: 1px;
  }

  .flag-bg {
    top: calc(50% - 6px);
    height: 12px;
    width: auto;
    opacity: 1;
  }

  .trend-col { border: none; }
  .rank-col { border-left: none; }

  .ev-text {
    font-size: 8px;
    top: 0.5px;
  }

  .ev-bar-container {
    top: 0px;
    height: 40%;
  }

  .dg-status-logo {
    height: 13.5px;
  }

  .owgr-status-logo {
    height: 8.5px;
    top: 0px;
  }

  .data.change-col {
    font-size: 8.5px;
  }

  .sub-title-links {
    font-size: 9px;
  }

}

/* add classes when under sm */
@media (max-width: 576px) {

}
